Name:           abcMIDI
Version:        2025.02.16
Release:        1%{?dist}
Summary:        ABC to/from MIDI conversion utilities

Group:          Applications/Multimedia
License:        GPLv2+
URL:            https://ifdo.ca/~seymour/runabc/top.html
Source0:        https://ifdo.ca/~seymour/runabc/abcMIDI-%{version}.zip

BuildRequires:  gcc

%description
abcMIDI is a package of programs for processing ABC music notation files.
It consists of several programs:
- abc2midi to convert ABC music notation to MIDI
- midi2abc to convert MIDI files to the corresponding ABC.
- abc2abc to reformat and/or transpose ABC files
- yaps to typeset ABC files as PostScript.
- mftext to dump a MIDI file as text.
- abcmatch to search for specific sequences of notes in an abc file.
- midicopy to copy parts of a MIDI file into another one.

For a description of the ABC syntax, please see the ABC user guide
which is a part of the abcm2ps package.


%prep
%setup -q -n abcmidi

%build
%define _legacy_common_support 1
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot} prefix=%{_prefix}
# Will be installed later with the doc macro
rm -rf %{buildroot}%{_docdir}


%files
%doc samples VERSION doc/*.txt doc/AUTHORS doc/CHANGES
%{_mandir}/man1/*.1*
%{_bindir}/abc2abc
%{_bindir}/abc2midi
%{_bindir}/abcmatch
%{_bindir}/mftext
%{_bindir}/midi2abc
%{_bindir}/midicopy
%{_bindir}/midistats
%{_bindir}/yaps


%changelog
* Thu Apr 24 2025 Olivier Samyn <code@oleastre.be> - 2025.02.16-1
- new version

* Thu Apr 24 2025 Olivier Samyn <code@oleastre.be> - 2025.12.16-1
- new version

* Mon Mar 04 2024 Olivier Samyn <code@oleastre.be> - 2024.03.02-1
- New release

* Mon Aug 28 2023 Olivier Samyn 🎻 <code@oleastre.be> - 2023.08.22-1
- new version

* Fri Feb 03 2023 Olivier Samyn 🎻 <code@oleastre.be> - 2023.01.21-1
- new version

* Fri Oct 14 2022 Olivier Samyn 🎻 <code@oleastre.be> - 2022.09.01-1
- new version

* Mon Jul 18 2022 Olivier Samyn 🎻 <code@oleastre.be> - 2022.06.14-1
- new version

* Fri May 27 2022 Olivier Samyn 🎻 <code@oleastre.be> - 2022.05.20-1
- New upstream version

* Mon Nov 15 2021 Olivier Samyn <code@oleastre.be> - 2021.10.15-1
- new version

* Thu Oct 21 2021 Olivier Samyn <code@oleastre.be> - 2021.10.11-1
- new version

* Tue Aug 17 2021 Olivier Samyn <code@oleastre.be> - 2021.06.27-1
- New upstream release

* Mon Jun 14 2021 Olivier Samyn <code@oleastre.be> - 2021.05.25-1
- New upstream release

* Sat Jun 13 2020 Olivier Samyn 🎻 <code@oleastre.be> - 2020.06.07-1
- New upstream release

* Mon Apr 13 2020 Olivier Samyn 🎻 <code@oleastre.be> - 2020.03.25-1
- New upstream release

* Tue Feb 25 2020 Olivier Samyn 🎻 <code@oleastre.be> - 2020.02.12-1
- New upstream version
- Enable common support to allow compilation with gcc 10

* Wed Oct 09 2019 Olivier Samyn 🎻 <code@oleastre.be> - 2019.08.11-1
- New upstream version
- Switch to version YYYY.MM.DD version format
- Use version id in download url

* Tue Jul 30 2019 Olivier Samyn 🎻 <code@oleastre.be> - 20190712-1
- New upstream version

* Tue Jun 18 2019 Olivier Samyn 🎻 <code@oleastre.be> - 20190614-1
- New upstream release: 2019-06-14

* Mon Nov 05 2018 Olivier Samyn 🎻 <code@oleastre.be> - 20181025-1
- New upstream release: 2018-10-25
- Fedora 29 build compatibility: add gcc build requirement

* Mon Aug 27 2018 Olivier Samyn 🎻 <code@oleastre.be> - 20180623-1
- New upstream release: 2018-06-23

* Sat May 12 2018 Olivier Samyn <code@oleastre.be> - 20180502-1
- New upstream release: 2018-05-02
- Updated build

* Tue Aug 29 2017 Olivier Samyn <code@oleastre.be> - 20170826-1
- New upstream release: 2017-08-26

* Tue Jan 10 2017 Olivier Samyn <code@oleastre.be> - 20170101-1
- New upstream release: 2017-01-01

* Wed Nov 23 2016 Olivier Samyn <code@oleastre.be> - 20160925-1
- New upstream release: 2016-09-25

* Thu Aug 18 2016 Olivier Samyn <code@oleastre.be> - 20160720-1
- New upstream release: 2016-07-20

* Tue Nov 3 2015 Olivier Samyn <code@oleastre.be> - 20151103-1
- New upstream release: 2015-10-18

* Thu Aug 27 2015 Olivier Samyn <code@oleastre.be> - 20150825-1
- New upstream release: 2015-08-25

* Tue Apr 28 2015 Olivier Samyn <code@oleastre.be> - 20150428-1
- New upstream release: 2015-04-28

* Tue Feb 10 2015 Olivier Samyn <code@oleastre.be> - 20141225-1
- New upstream release: 2014-12-25
- Updated download link.

* Tue Aug 26 2014 Olivier Samyn <code@oleastre.be> - 20140816-1
- New upstream release

* Thu May 01 2014 Olivier Samyn <code@oleastre.be> - 20140424-1
- New upstream release

* Mon May 21 2012 Olivier Samyn <code@oleastre.be> - 20120415-1
- Updated upstream version.

* Wed Aug 10 2011 Olivier Samyn  <code@oleastre.be> - 20110810-1
- Updated upstream version (fsf address changed).

* Tue Aug 09 2011 Olivier Samyn  <code@oleastre.be> - 20110807-1
- Updated upstream version.
- Keep timestamp on end-of-line correction.
- Uses %%{optflags} instead of $RPM_OPT_FLAGS.
- Updated description.
- Verbose %%files section.

* Sun Jul 03 2011 Olivier Samyn  <code@oleastre.be> - 20110610-4
- Simplify make and make install calls.

* Tue Jun 28 2011 Olivier Samyn <code@oleastre.be> - 20110610-3
- Removed the %%clean section.
- Use make install instead of listing files manually.

* Tue Jun 28 2011 Olivier Samyn <code@oleastre.be> - 20110610-2
- Updated URL.
- Removed BuildRoot, defattr and executable flag lines.
- Added -p to all install commands.
- Use %%{_mandir}/man1/* in the %%files section.
- Removed VERSION file from the EOL modification list.

* Mon Jun 20 2011 Olivier Samyn <code@oleastre.be> - 20110610-1
- New upstream release 2011-06-10.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090317-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090317-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 13 2009 Gerard Milmeister <gemi@bluewin.ch> - 20090317-1
- new release 2009-03-17

* Wed Sep 24 2008 Gerard Milmeister <gemi@bluewin.ch> - 20080924-1
- new release 2008-09-24

* Mon Jul 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 20070106-3
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 20070106-2
- Autorebuild for GCC 4.3

* Tue Jan  9 2007 Gerard Milmeister <gemi@bluewin.ch> - 20070106-1
- new version 20070106

* Wed Dec 13 2006 Gerard Milmeister <gemi@bluewin.ch> - 20061211-1
- new version 20061211

* Mon Nov  6 2006 Gerard Milmeister <gemi@bluewin.ch> - 20061103-1
- new version 20061103

* Tue Oct 31 2006 Gerard Milmeister <gemi@bluewin.ch> - 20061027-1
- new version 20061027

* Mon Oct 16 2006 Gerard Milmeister <gemi@bluewin.ch> - 20061015-1
- new version 20061015

* Mon Oct  9 2006 Gerard Milmeister <gemi@bluewin.ch> - 20061005-1
- new version 20061005

* Mon Sep 11 2006 Gerard Milmeister <gemi@bluewin.ch> - 20060910-1
- new version 20060910

* Wed Aug 30 2006 Gerard Milmeister <gemi@bluewin.ch> - 20060829-1
- new version 20060829

* Mon Aug 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 20060805-2
- Rebuild for FE6

* Tue Aug  8 2006 Gerard Milmeister <gemi@bluewin.ch> - 20060805-1
- new version 2006-08-05

* Mon Jul 31 2006 Gerard Milmeister <gemi@bluewin.ch> - 20060730-1
- new version 2006-07-30

* Mon Jun 26 2006 Gerard Milmeister <gemi@bluewin.ch> - 20060625-1
- new version 2006-06-25

* Thu Jun 15 2006 Gerard Milmeister <gemi@bluewin.ch> - 20060608-1
- new version 2006-06-08

* Sun Jun  4 2006 Gerard Milmeister <gemi@bluewin.ch> - 20060422-1
- new version 2006-04-22

* Tue Mar  7 2006 Gerard Milmeister <gemi@bluewin.ch> - 20060207-1
- First Fedora release
